API Description

Map Data API – Single task query (supports querying one URL or keyword per request).
The Map Data API extracts structured information from Maps search result pages and business listing pages, including business names, ratings, hours, addresses, and external links.
It enables sellers to perform offline competitor research, regional market analysis, and brand distribution mapping, providing a broader market perspective for product selection, channel expansion, and local marketing decisions.

Request URL

POST https://scrapeapi.pangolinfo.com/api/v3/extract/search/maps

Request Headers

ParametersParameter valueTypeDescription
Content-Typeapplication/jsonstringData format
AuthorizationBearer xxxstringAuthorization Token

Request Parameters

ParametersRequiredTypeDescription
queryYesstringSearch keyword
hlNostringInterface language
llNostringLocation parameters: latitude, longitude, zoom
numNointItems per page
fromNointPage start
timeoutNointTask timeout
urlNostringCollect data from a specified address. If this parameter is provided, all other parameters will be ignored.

Response value

Return valueTypeDescription
statusintTask status: -1 = Failed, 1 = In Progress, 2 = Successful
taskIdstringTask ID
urlstringTask source URL
dataobjectParsed or collected results
errorMessagestringError message
htmlstringOriginal HTML content encoded in Base64

Request example

curl https://scrapeapi.pangolinfo.com/api/v3/extract/search/maps \
  --request POST \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "query": "restaurants near San Francisco",
  "ll": "37.7822392,-122.4642121,13z",
  "hl": "en",
  "from": 0,
  "num": 50,
  "timeout": 25000,
  "url": ""
}'

Return example

{
  "data": {
    "url": "string",
    "taskId": "string",
    "status": 1,
    "data": {
      "organicResults": [
        {"place_id": "0x808f7e3c8b5b7e93:0x7e267bfa507a2912","name": "Lazy Bear","about": null,"rating": 4.8,"number_of_reviews": 1122,"borough": "Mission District","street_addr": "3416 19th St","street_addr_supplement": null,"city": "San Francisco","postal_code": "94110","...": "[Additional Properties Truncated]"}
      ]
    },
    "html": "string",
    "errorMessage": "string"
  }
}

Credit Consumption

  • Average response time: 5s
  • Credit Consumption: 1.5 Credits/Per Request